Skip to content

Get Landing Page Variables

GET /rest/asset/v1/landingPage/{id}/variables.json

Build a request and mock the response

Method: GET
Path: /rest/asset/v1/landingPage/{id}/variables.json
Tag: Landing Pages
Operation ID: getVariablesUsingGET

Formats

  • Request: application/x-www-form-urlencoded
  • Response: application/json

Request

Path parameters

Name Type Required Description Constraints
id integer (int32) Yes Id of the landing page

Query parameters

Name Type Required Description Constraints
status string No Status filter for draft or approved versions enum: approved, draft

Example request

GET {{base_url}}/rest/asset/v1/landingPage/{{id}}/variables.json?status=approved
Accept: application/json

Responses

200 — OK

Schema: model: ResponseOfLandingPageVariableResponse

Generated example

{
  "errors": [
    {
      "code": "string",
      "message": "string"
    }
  ],
  "requestId": "123",
  "result": [
    {
      "id": "123",
      "type": "string",
      "value": {}
    }
  ],
  "success": true,
  "warnings": [
    "string"
  ]
}

Referenced models

Source

Generated from swagger-asset.json.

Generated examples are inferred from the schema. They are illustrative and may not be valid production payloads.